Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.datastore
Class DDLGenerator.ColumnDefinition

    java.lang.Object
      org.deegree.tools.datastore.DDLGenerator.ColumnDefinition

Enclosing class:
  DDLGenerator

     class DDLGenerator.ColumnDefinition

extends Object

Constructor Summary
`DDLGenerator.ColumnDefinition(String columnName, int type, boolean isNullable, boolean isPartOfPK, boolean isGeometryColumn, int srsCode, boolean isFK)`
`DDLGenerator.ColumnDefinition(String columnName, int type, boolean isNullable, boolean isGeometryColumn, int srsCode, boolean isFK)`

Method Summary
`(package private) String` | `getName()`
`(package private) int` | `getSRS()`
`(package private) int` | `getType()`
`(package private) boolean` | `isFK()`
`(package private) boolean` | `isGeometry()`
`(package private) boolean` | `isNullable()`
`(package private) boolean` | `isPartOfPK()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DDLGenerator.ColumnDefinition

    DDLGenerator.ColumnDefinition(String columnName,
                                  int type,
                                  boolean isNullable,
                                  boolean isGeometryColumn,
                                  int srsCode,
                                  boolean isFK)

### DDLGenerator.ColumnDefinition

    DDLGenerator.ColumnDefinition(String columnName,
                                  int type,
                                  boolean isNullable,
                                  boolean isPartOfPK,
                                  boolean isGeometryColumn,
                                  int srsCode,
                                  boolean isFK)

Method Detail

### getName

    String getName()

### getType

    int getType()

### isNullable

    boolean isNullable()

### isGeometry

    boolean isGeometry()

### getSRS

    int getSRS()

### isPartOfPK

    boolean isPartOfPK()

### isFK

    boolean isFK()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org